Subject: [Alpines] Series V Bumper YET AGAIN

From: Barry Hayes <[email-masked]>
Date: Fri, 30 Aug 2013 11:40:46 -0700

I have *really* pulled the trigger on repairing the Alpine V from the
rear-ender now almost two years ago.

And so now I do in fact need a rear bumper. "Unbent and needs chrome"
should be just fine. I'm in the greater San Jose, CA area; shipping could
well cost more than the bumper itself.

-- 

bhayes yat cs dot stanford dot edu is what you should put in your contact
files -- it'll forward to me no matter where I move
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive